function x = Pjki(j,k,i,d,r)
% Computes p(j-k)^i.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% First convert to correct (jth,.) indexing.
  j = jth(j,d);
  k = jth(k,d);
  % i is ok.

% Now compute the term:
  x = p(j-k,r)^i;

% Computes the (complex) term: 
%   p(j-k)^i
% where indexes converted from 1:rd to (1:r,1:d).

% B. Shapiro, Caltech, 04/22/98.
